javax.servlet.jsp.jstl.fmt

## Class LocaleSupport

- java.lang.Object
- - javax.servlet.jsp.jstl.fmt.LocaleSupport

-     public class LocaleSupport
      extends Object

  Class which exposes the locale-determination logic for resource bundles through convenience methods.

  This class may be useful to any tag handler implementation that needs to produce localized messages. For example, this might be useful for exception messages that are intended directly for user consumption on an error page.

  Author:
    Jan Luehe

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocaleSupport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getLocalizedMessage(PageContext pageContext, String key)` Retrieves the localized message corresponding to the given key.
    `static String` | `getLocalizedMessage(PageContext pageContext, String key, Object[] args)` Retrieves the localized message corresponding to the given key, and performs parametric replacement using the arguments specified via `args`.
    `static String` | `getLocalizedMessage(PageContext pageContext, String key, Object[] args, String basename)` Retrieves the localized message corresponding to the given key, and performs parametric replacement using the arguments specified via `args`.
    `static String` | `getLocalizedMessage(PageContext pageContext, String key, String basename)` Retrieves the localized message corresponding to the given key.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocaleSupport

          public LocaleSupport()

  - ### Method Detail

    - #### getLocalizedMessage

          public static String getLocalizedMessage(PageContext pageContext,
                                   String key)

      Retrieves the localized message corresponding to the given key.

      The given key is looked up in the resource bundle of the default I18N localization context, which is retrieved from the `javax.servlet.jsp.jstl.fmt.localizationContext` configuration setting.

      If the configuration setting is empty, or the default I18N localization context does not contain any resource bundle, or the given key is undefined in its resource bundle, the string "???<key>???" is returned, where "<key>" is replaced with the given key.

      Parameters:
        `pageContext` - the page in which to get the localized message corresponding to the given key
        `key` - the message key
      Returns:
        the localized message corresponding to the given key

    - #### getLocalizedMessage

          public static String getLocalizedMessage(PageContext pageContext,
                                   String key,
                                   String basename)

      Retrieves the localized message corresponding to the given key.

      The given key is looked up in the resource bundle with the given base name.

      If no resource bundle with the given base name exists, or the given key is undefined in the resource bundle, the string "???<key>???" is returned, where "<key>" is replaced with the given key.

      Parameters:
        `pageContext` - the page in which to get the localized message corresponding to the given key
        `key` - the message key
        `basename` - the resource bundle base name
      Returns:
        the localized message corresponding to the given key

    - #### getLocalizedMessage

          public static String getLocalizedMessage(PageContext pageContext,
                                   String key,
                                   Object[] args)

      Retrieves the localized message corresponding to the given key, and performs parametric replacement using the arguments specified via `args`.

      See the specification of the <fmt:message> action for a description of how parametric replacement is implemented.

      The localized message is retrieved as in `getLocalizedMessage(pageContext, key)`.

      Parameters:
        `pageContext` - the page in which to get the localized message corresponding to the given key
        `key` - the message key
        `args` - the arguments for parametric replacement
      Returns:
        the localized message corresponding to the given key

    - #### getLocalizedMessage

          public static String getLocalizedMessage(PageContext pageContext,
                                   String key,
                                   Object[] args,
                                   String basename)

      Retrieves the localized message corresponding to the given key, and performs parametric replacement using the arguments specified via `args`.

      See the specification of the <fmt:message> action for a description of how parametric replacement is implemented.

      The localized message is retrieved as in `getLocalizedMessage(pageContext, key, basename)`.

      Parameters:
        `pageContext` - the page in which to get the localized message corresponding to the given key
        `key` - the message key
        `args` - the arguments for parametric replacement
        `basename` - the resource bundle base name
      Returns:
        the localized message corresponding to the given key

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.